#!/bin/sh

gettitle() {
	sed -n '/^.SH NAME/{n;p;q}' "$1"
}

for i in *.man"$1" ; do
	sed -n '
		/^.SH NAME/{
			n
			s/^/^/
			s/\([^ ]*\) \\-/\1('"$1"')~^\\-/
			s/\([^ ]*\), \([^ ]*\)/\1('"$1"'),\n.br\n^    \2/
			p
			q
		}
	' "$i"
done
